[smoke_test] Update to use same package repository as fuchsia.dev docs

Change-Id: I3e9d974f7e006e6ed9d6b008123c3b7d729e30bc
Reviewed-on: https://fuchsia-review.googlesource.com/c/sdk-samples/drivers/+/755943
Reviewed-by: Renato Mangini Dias <mangini@google.com>
Commit-Queue: Wayne Piekarski <waynepie@google.com>
diff --git a/README.md b/README.md
index e8e305e..3c290b1 100644
--- a/README.md
+++ b/README.md
@@ -39,7 +39,7 @@
    1. Fetch the system images
 
       ```
-      tools/ffx product-bundle get workstation_eng.qemu-x64 --repository workstation-repo
+      tools/ffx product-bundle get workstation_eng.qemu-x64 --repository workstation-packages
       ```
 
    > Note: if the command above fails with an error message that
@@ -63,7 +63,7 @@
       Use the following command to register it with the emulator:
 
       ```
-      tools/ffx target repository register -r workstation-repo --alias fuchsia.com
+      tools/ffx target repository register -r workstation-packages --alias fuchsia.com --alias chromium.org
       ```
 
 1. If using a physical device like a Pixelbook Go:
@@ -71,7 +71,7 @@
    1. Fetch the system images
 
       ```
-      tools/ffx product-bundle get workstation_eng.qemu-x64-dfv2 --repository workstation
+      tools/ffx product-bundle get workstation_eng.qemu-x64-dfv2 --repository workstation-packages
       ```
 
    1. Prepare and connect the Pixelbook Go, by flashing and/or paving it (not
@@ -81,7 +81,7 @@
       Use the following command to register it with the device:
 
       ```
-      tools/ffx target repository register -r workstation.qemu-x64-dfv2 --alias fuchsia.com
+      tools/ffx target repository register -r workstation.qemu-x64-dfv2 --alias fuchsia.com --alias chromium.org
       ```
 
    1. Update (OTA) the device to the version of the SDK:
diff --git a/scripts/smoke_test.sh b/scripts/smoke_test.sh
index 4395a5e..84f863c 100755
--- a/scripts/smoke_test.sh
+++ b/scripts/smoke_test.sh
@@ -71,9 +71,9 @@
 
   current_target="$(tools/ffx target default get)"
 
-  product_name="workstation_eng.qemu-x64"
-  repo_name="workstation-repo"
-  pb_name="gs://fuchsia/development/$(tools/ffx sdk version)/sdk/product_bundles.json#${product_name}"
+  repo_name="workstation-packages"
+  pb_name="workstation_eng.qemu-x64"
+
   # fetch an emulator image of workstation and start an emulator
   print_and_run tools/ffx product-bundle get "$pb_name" --repository "$repo_name"
   stop_emu
@@ -90,7 +90,12 @@
   wait_for_emu_rcs
 
   # CQ actually uses mawk and not awk or gawk, so does not support symbols in search string
-  check_output() { awk -v SEARCH="$@" '$0 ~ SEARCH{rc=1; print "Found match: "$0}{print $0}; END{exit !rc}' || { echo "Failed to find expected string: $@"; exit 1; } }
+  check_output() {
+    if ! awk -v SEARCH="$@" '$0 ~ SEARCH{rc=1; print "Found match: "$0}{print $0}; END{exit !rc}'; then
+      echo "Failed to find expected string: $@"
+      exit 1
+    fi
+  }
 
   # start the package server
   print_and_run tools/ffx repository server start